Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.logging.appender
Class RegexEventEvaluator

    java.lang.Object
      org.jboss.logging.appender.RegexEventEvaluator

All Implemented Interfaces:
  org.apache.log4j.spi.TriggeringEventEvaluator

public class RegexEventEvaluator
extends Object
implements org.apache.log4j.spi.TriggeringEventEvaluator

An implementation of the log4j TriggeringEventEvaluator that matches the LoggingEvent message against the MDB{RegexEventEvaluator} regular expression.

Version:
  $Revision: 1.4 $
Author:
  Scott.Stark@jboss.org

Constructor Summary
`RegexEventEvaluator()`

Method Summary
`boolean` | `isTriggeringEvent(org.apache.log4j.spi.LoggingEvent event)` Lookup the current MDC 'RegexEventEvaluator' to determine the regular expression context that should be applied to determine if the logging event should be considered a triggering event.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### RegexEventEvaluator

    public RegexEventEvaluator()

Method Detail

### isTriggeringEvent

    public boolean isTriggeringEvent(org.apache.log4j.spi.LoggingEvent event)

  Lookup the current MDC 'RegexEventEvaluator' to determine the regular expression context that should be applied to determine if the logging event should be considered a triggering event. If there is no value for the 'RegexEventEvaluator' key then no comparision is made.

  Specified by:
    `isTriggeringEvent` in interface `org.apache.log4j.spi.TriggeringEventEvaluator`
  Parameters:
    `event` - the logging event to check
  Returns:
    true if MDC{RegexEventEvaluator} is a regex expression that matches the event.getRenderedMessage(), false otherwise.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002 JBoss Group, LLC. All Rights Reserved.